import { ThemeType, UserSettings } from '@app/domain/settings/setting.model';

export abstract class SettingRepository {
  abstract getSettings(): UserSettings;
  abstract saveSettings(settings: UserSettings): void;
  abstract applyTheme(settings: UserSettings): void;
  abstract getDefaultSystemTheme(): ThemeType;
}
